Display will not turn on in Oneiric with Llano APUs

Bug #825777 reported by Jeff H on 2011-08-13
186
This bug affects 26 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Oneiric
Medium
Jesse Sung
Precise
Medium
Unassigned

Bug Description

Hello,

I have an ASUS K53TA laptop, it works fine with Natty except that the Catalyst driver is required for 3d capability. However, every Oneiric build I've tried, the display won't turn on. I can hear the login music playing, so I'm sure that it has booted successfully, but the display won't turn on, not even the backlight.

I've tried various key and touchpad combinations to wake the display up, and I've also tried CTRL+ALT+SYSRQ+k, but nothing worked.

I've heard the same from others owning different hardware with AMD Llano CPU/GPU as well, I don't believe this is specific to this particular laptop.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-10-generic 2.6.38-10.46
ProcVersionSignature: Ubuntu 2.6.38-10.46-generic 2.6.38.7
Uname: Linux 2.6.38-10-generic x86_64
NonfreeKernelModules: fglrx
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 1: Generic_1 [HD-Audio Generic], device 0: ALC269VB Analog [ALC269VB Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: bob 1462 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Generic'/'HD-Audio Generic at 0xfeb44000 irq 47'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100200'
   Controls : 4
   Simple ctrls : 1
Card0.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Card1.Amixer.info:
 Card hw:1 'Generic_1'/'HD-Audio Generic at 0xfeb40000 irq 16'
   Mixer name : 'Realtek ALC269VB'
   Components : 'HDA:10ec0269,1043107c,00100100'
   Controls : 11
   Simple ctrls : 7
Date: Sat Aug 13 07:45:10 2011
HibernationDevice: RESUME=UUID=9a29c58d-9e25-4773-b697-a43df62d5659
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
Lsusb:
 Bus 003 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 003: ID 0bda:0138 Realtek Semiconductor Corp.
 Bus 001 Device 002: ID 058f:a016 Alcor Micro Corp.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: ASUSTeK Computer Inc. K53TA
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-10-generic root=UUID=8d70ae6a-7c8e-423c-ad4c-b6f4493438d8 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-10-generic N/A
 linux-backports-modules-2.6.38-10-generic N/A
 linux-firmware 1.52
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
WifiSyslog:

dmi.bios.date: 06/02/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 203
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: K53TA
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr203:bd06/02/2011:svnASUSTeKComputerInc.:pnK53TA:pvr1.0:rvnASUSTeKComputerInc.:rnK53TA:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
dmi.product.name: K53TA
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.

Jeff H (jahtech-android-apps) wrote :
Brad Figg (brad-figg) on 2011-08-15
Changed in linux (Ubuntu):
status: New → Confirmed
Jeff H (jahtech-android-apps) wrote :

I thought this may have been fixed by some of the Radeon patches in linux 3.0.3, but it's not fixed in the latest daily builds that were re-based on 3.0.3..

There is the workaround of booting using the laptop's HDMI cable and then installing the Catalyst drivers, which does work. Unfortunately, it appears that the latest kernel has broken the wireless(and possibly other things), which works in Natty, and worked in previous daily builds of Oneiric/linux-3.0. I'm going to do more testing some time this weekend and file separate bug reports for everything else that broke.

Markus Ilmola (markus-ilmola) wrote :

I can confirm this bug with Ubuntu 11.10 beta 1 on HP dv6-6145eo
CPU: AMD A6 3410MX
GPU: AMD Radeon HD 6755G2 (HD 6520G and HD 6750M hybrid crossfire)

During the boot only black screen is shown (not even the back light is on). I can still hear the login sound so it's only the screen that is not working.

Ubuntu 11.04 works fine.

Markus Ilmola (markus-ilmola) wrote :

I just tested Ubuntu 11.10 beta 2 and this bug still exists.

Download full text (4.5 KiB)

I assume that Llano could easily be blacklisted from the FOSS driver, and
forced to use VESA like in 11.04. This bug is going to ruin the
out-of-the-box experience for many people if it makes it into the final
Ubuntu 11.10 CD, clearly the FOSS driver + Llano is still not ready.

On Fri, Sep 23, 2011 at 10:39 AM, Glome <email address hidden> wrote:

> I just tested Ubuntu 11.10 beta 2 and this bug still exists.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/825777
>
> Title:
> Display will not turn on in Oneiric alpha builds
>
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> Hello,
>
> I have an ASUS K53TA laptop, it works fine with Natty except that the
> Catalyst driver is required for 3d capability. However, every
> Oneiric build I've tried, the display won't turn on. I can hear the
> login music playing, so I'm sure that it has booted successfully, but
> the display won't turn on, not even the backlight.
>
> I've tried various key and touchpad combinations to wake the display
> up, and I've also tried CTRL+ALT+SYSRQ+k, but nothing worked.
>
> I've heard the same from others owning different hardware with AMD
> Llano CPU/GPU as well, I don't believe this is specific to this
> particular laptop.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: linux-image-2.6.38-10-generic 2.6.38-10.46
> ProcVersionSignature: Ubuntu 2.6.38-10.46-generic 2.6.38.7
> Uname: Linux 2.6.38-10-generic x86_64
> NonfreeKernelModules: fglrx
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 1: Generic_1 [HD-Audio Generic], device 0: ALC269VB Analog [ALC269VB
> Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: bob 1462 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Generic'/'HD-Audio Generic at 0xfeb44000 irq 47'
> Mixer name : 'ATI R6xx HDMI'
> Components : 'HDA:1002aa01,00aa0100,00100200'
> Controls : 4
> Simple ctrls : 1
> Card0.Amixer.values:
> Simple mixer control 'IEC958',0
> Capabilities: pswitch pswitch-joined penum
> Playback channels: Mono
> Mono: Playback [on]
> Card1.Amixer.info:
> Card hw:1 'Generic_1'/'HD-Audio Generic at 0xfeb40000 irq 16'
> Mixer name : 'Realtek ALC269VB'
> Components : 'HDA:10ec0269,1043107c,00100100'
> Controls : 11
> Simple ctrls : 7
> Date: Sat Aug 13 07:45:10 2011
> HibernationDevice: RESUME=UUID=9a29c58d-9e25-4773-b697-a43df62d5659
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64
> (20110427.1)
> Lsusb:
> Bus 003 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 003: ID 0bda:0138 Realtek Semiconductor Corp.
> Bus 001 Device 002: ID 058f:a016 Alcor Micro Corp.
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType...

Read more...

I Can confirm this issue still exists in Ubuntu 11.10 Final. Screen goes blank... literally shuts off. It happened to me today Oct 13 2011.
This was not a issue in 11.04.
Model: HP DV7 with, AMD A6-3400M APU, With AMD Radeon HD 6520G Graphics.
Went to verbose mode and saw right when it loaded the radeon open source driver screen goes blank... literally shuts off.

I am hoping this is just my model of CPU/APU(Integrated GPU) Radeon HD 6520G. that way it will not affect the out of the box experience for other Radeon HD 6XXX owners (On a lot of new laptops, practically all!)
If it is just the Radeon HD 6520G I hope it's not left in the dark for too long.

So to sum up the open source Radeon HD 6520G graphics driver seems to be the issue here the issue here.

Can this bug be changed/reworded to reflect it still exists in 11.10 final?
The Bug could be labeled "Display Shuts Completely Off on AMD Radeon HD 6520G Graphics Card (AMD A6-3400M APU) "

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the release candidate kernel versus the daily build. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

tags: added: needs-upstream-testing
marcel kerkveld (mke2) on 2011-10-15
description: updated
Fumihito YOSHIDA (hito) on 2011-10-20
summary: - Display will not turn on in Oneiric alpha builds
+ Display will not turn on in Oneiric with Llano APUs
Paul Weiss (interweiss) wrote :

So is there a workaround?

Fumihito YOSHIDA (hito) wrote :

@interweiss

from https://lists.ubuntu.com/archives/ubuntu-jp/2011-October/003877.html , xforcevesa + nomodeset may help llano machines.

Paul Weiss (interweiss) wrote :

Tried that including 'radeon.modeset=0' - both didn't work.

Markus Ilmola (markus-ilmola) wrote :

My workaround was to first install Ubuntu 11.04, install the proprietary driver and then upgrade to 11.10.
This way 11.10 never needs to be booted without the working driver.

Download full text (5.6 KiB)

Hi Joseph,

I tried the latest 3.1.0-RC10 kernel from the link you sent on an Oneiric
live USB with persistence. The kernel image gave an error with no specific
message of what went wrong on installing it, but otherwise seemed to install
OK. Upon rebooting, not only do I not have a working laptop display, but
now HDMI doesn't work either. The laptop continues to run, and there are
occasional blips of hard-drive activity that indicates it's doing
something. I'm not sure if it's a byproduct of the kernel install error,
the existing Radeon driver problem, or if it's some kind of new
ACPI/BIOS/boot regression. I can run it again, and provide logs if you tell
me which logs you want. Or I can just leave it as is, and go ahead and
unmark the bug as "needs upstream testing".

Thanks,
Jeff

On Fri, Oct 14, 2011 at 11:24 AM, Joseph Salisbury <
<email address hidden>> wrote:

> Would it be possible for you to test the latest upstream kernel? It
> will allow additional upstream developers to examine the issue. Refer to
> https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the release
> candidate kernel versus the daily build. Once you've tested the
> upstream kernel, please remove the 'needs-upstream-testing' tag. This
> can be done by clicking on the yellow pencil icon next to the tag
> located at the bottom of the bug description and deleting the 'needs-
> upstream-testing' text. Please let us know your results.
>
> Thanks in advance.
>
> ** Tags added: needs-upstream-testing
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/825777
>
> Title:
> Display will not turn on in Oneiric alpha builds
>
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> Hello,
>
> I have an ASUS K53TA laptop, it works fine with Natty except that the
> Catalyst driver is required for 3d capability. However, every
> Oneiric build I've tried, the display won't turn on. I can hear the
> login music playing, so I'm sure that it has booted successfully, but
> the display won't turn on, not even the backlight.
>
> I've tried various key and touchpad combinations to wake the display
> up, and I've also tried CTRL+ALT+SYSRQ+k, but nothing worked.
>
> I've heard the same from others owning different hardware with AMD
> Llano CPU/GPU as well, I don't believe this is specific to this
> particular laptop.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: linux-image-2.6.38-10-generic 2.6.38-10.46
> ProcVersionSignature: Ubuntu 2.6.38-10.46-generic 2.6.38.7
> Uname: Linux 2.6.38-10-generic x86_64
> NonfreeKernelModules: fglrx
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 1: Generic_1 [HD-Audio Generic], device 0: ALC269VB Analog [ALC269VB
> Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: bob 1462 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Generic'/'HD-...

Read more...

Paul Weiss (interweiss) wrote :

@Glome

Thanks. Installing Ubuntu 11.04 first worked.

@Jeff H

I tried the kernel and it worked on a standard install.

Jeff H (jahtech-android-apps) wrote :

Thanks Paul, it must be that you can't upgrade kernels on a live USB key.

I went ahead with an install of the new kernel, after uninstalling Catalyst. It didn't fix the display issue, but it did break Unity. I'll unmark the bug as "needs upstream testing"

tags: removed: needs-upstream-testing
Jeff H (jahtech-android-apps) wrote :

For clarification: I installed the RC10 kernel on Oneiric installed on a hard drive.

Paul Weiss (interweiss) wrote :

Apparently this Compiz update fixes the choppy graphics:

https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/763005/comments/68

sandeep (sandy-8925) wrote :

I have the exact same laptop as the OP. I have the same problem. This seems to be a problem since Linux kernel 3.0. I'm using Ubuntu 64 bit version.

I've posted the problem and some of the things I've tried here: http://phoronix.com/forums/showthread.php?60883-AMD-A6-3400M-not-working-on-Linux-kernel-3.0

On booting Ubuntu 11.10 live image for beta1, beta2 and final the display does not light up. I cannot even install using the Live CD. I will try the method suggested by Glome (i.e upgrading 11.04 to 11.10).

On Ubuntu 11.04, tried compiling vanilla kernel 3.0.4 from kernel.org and the same problem occured. Even with a fresh copy of Ubuntu 11.04, compiled kernel 3.1.1 from kernel.org, used xorg-edgers repository and copied firmware for both integrated and discrete cards to /lib/firmware/radeon and /lib/firmware/radeon/(kernel-version) directories and it STILL doesn't work.

Some people have had success with Gentoo and other distros.

The same problem exists in Fedora as well and it seems to be something in the kernel.

sandeep (sandy-8925) wrote :

thanks a lot, will try and see if it works for me. hopefully this means I will finally get open source 2D acceleration atleast.

Gonçalo Fernandes (ilogico) wrote :

You can install Ubuntu 11.10 using the alternate install CD.
When you first boot, you have select the grub entry (press shift while booting if it doesn't show) and press 'e', then add the word 'nomodeset' to the end of line that has the kernel arguments. The graphical display manager will fail to start, but you can ctrl+alt+f1 to drop to a tty. Login and: sudo apt-get install fglrx && sudo reboot
It worked for me, but I hope it gets fixed by 12.04

sandeep (sandy-8925) wrote :

I've compiled kernel 3.2-rc1 from kernel.org and it works now. This bug report can be closed now.

Request: backport to 3.0 kernel and include in update for oneiric

tags: added: kernel-fixed-upstream-v3.2-rc2
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
Jesse Sung (wenchien) wrote :

Trying to merge related commits into oneiric kernel (amd64):
http://ubuntuone.com/0G8N6CdCxuzI6LrCVVvRol
http://ubuntuone.com/7i7xPfpV3xM0FowRrQbGAi
http://ubuntuone.com/73NLfXc7HWvLkaLj3CdZHi

If you have time, please give it a try and see if it works for you.

Thanks!

Paul Weiss (interweiss) wrote :

Does resume from suspend also work with the latest kernel?

Chris Van Hoof (vanhoof) wrote :

Marking this bug Incomplete as we're waiting on feedback from the test kernel's provided.

@Jesse -- Can you also post the patch to this bug for the benefit of others?

--chris

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Chris Van Hoof (vanhoof) on 2011-12-07
tags: added: blocks-hwcert-enablement

As this was confirmed as resolved with v3.2-rc1, I'm marking the Precise task as Fix Released. The Oneiric task remains open.

Changed in linux (Ubuntu Precise):
status: Incomplete → Fix Released
Changed in linux (Ubuntu Oneiric):
status: New → Incomplete
Brad Figg (brad-figg) wrote :

Is anyone willing to test kernels that might fix this issue?

Chris Van Hoof (vanhoof) on 2011-12-13
Changed in linux (Ubuntu Oneiric):
assignee: nobody → Canonical Hardware Enablement Project Management Team (canonical-hwe-pm-team)
importance: Undecided → Medium

I'm willing to. I can get to the text login and update there. How do I install the kernel?

Jesse Sung (wenchien) wrote :

@Wraith,

Please download the packages from comment #22, and install them with
sudo dpkg -i <package filenames>

Changed in linux (Ubuntu Oneiric):
assignee: Canonical Hardware Enablement Project Management Team (canonical-hwe-pm-team) → Wraith (wraith2k82-gmail)

Okay. Downloading and just to let you know I have a Toshiba L775D-S7206, but it is having the same issues. My APU/GPU is the same as in post #6.
Will report back.

Okay. after downloading the files I burnt them to a cd and I installed a fresh copy of Ubuntu 11.10 AMD64 by using the Install option using "nomodeset" under options as it gets a black screen otherwise. After installing I booted into recovery and mounted the file system as read/write and mounted the cd. I then copied them to my /home/cdrom as a mount point for my cd drive (/dev/sr0) and cooties them and installed them by executing "dpkg -i *.deb" and after that rebooted into the new kernel (3.0.0.0-13) and SUCCESSFULLY booted into Unity.

kernel 3.0.0-13-generic****

Copied not cooties. I'm typing on my phone. Forgive me!

Changed in linux (Ubuntu Oneiric):
assignee: Wraith (wraith2k82-gmail) → Jesse Sung (wenchien)
status: Incomplete → Confirmed
Jesse Sung (wenchien) on 2011-12-14
Changed in linux (Ubuntu Oneiric):
status: Confirmed → In Progress
tags: added: blocks-hwcert regression-release
tags: added: kernel-da-key
Jesse Sung (wenchien) on 2012-01-09
Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Committed
Jesse Sung (wenchien) on 2012-01-09
Changed in linux (Ubuntu Oneiric):
status: Fix Committed → In Progress
tags: added: verification-needed-oneiric
tags: added: verification-done-oneiric
removed: verification-needed-oneiric
30 comments hidden view all 110 comments
Bardok (bardok) wrote :

not better.

Jesse Sung (wenchien) wrote :
Bardok (bardok) wrote :

I tested 14.23+apu06 and i've got the same problem.

I boot each time on 3.0.0-13 (#22) for install the new one for test and this one works but with no internet connection.

Maybe i have to reset some configuration, isn't it ?

Bardok (bardok) wrote :

Ok i'll test when i go back to home.

Robert Roth (evfool) wrote :

I am reopening the Precise task, as I have just tested with Precise Alpha2 build, and the display still turns off after selecting Try ubuntu without installing from the liveCD, as this blocks starting the user interface at all.
The duplicate of this bug I have reported is #891968, you can find all the info about my configuration there, please unmark it if it's not a duplicate of this one.
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in linux (Ubuntu Precise):
status: Fix Released → In Progress
status: In Progress → Triaged
Julian Wiedmann (jwiedmann) wrote :

Jesse, FYI:
it seems like one of the current patches ('drm/radeon/kms: fix DP setup on TRAVIS bridges') is broken and needs a fixup, see [0].

[0] http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=304a48400d9718f74ec35ae46f30868a5f4c4516

The attachment "[PATCH 1/8] drm/radeon/kms: fix DP detect and EDID fetch for DP" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Jeff H (jahtech-android-apps) wrote :

Sorry for not paying much attention to the bug lately...

I do want to make sure you are aware that the issue is not fixed in the latest Ubuntu Precise daily build with Kernel 3.2. I just tested the live USB key on a desktop Llano running a Gigabyte GA-75M-UD2H motherboard and an A6 APU. Same thing, DVI works, VGA does not...

I haven't tried it on the Asus laptop I initially reported the bug in, but I can if you need me to.

Bardok (bardok) wrote :

Jesse,

the 14.23+apu07 not work.

I wait for the next one.

Carlos García (carlos-gs12) wrote :

Jesse, I will also try newer kernels on a new ubuntu installation I´m going to make later.
Maybe I can get different results since it seems I´m the only one using the A4 APU.

However I can only help you through the weekend.
This will be very helpful since newer catalyst drivers like 12.1 seem to be trouble for hardware. So the fglrx workaround might be no longer the best solution.

By the way, Bardok:
which release of Ubuntu are you using? I could try the kernels on Precise rather than Oneiric, to see if there are any differences.

Bardok (bardok) wrote :

Carlos,

i use Xubuntu with Voyager : http://voyager.legtux.org/

Carlos García (carlos-gs12) wrote :

Ok then, I will make a fresh Presice Alpha 2 install, maybe the bug is already fixed, so let me check.

rantsh (rantsh) wrote :

This bug is affecting my dell inspiron M5110 (as described on bug 882500). Should I try installing 11.04 or 10.04 LTS and wait until 12.04 is out to run updates?

This is a system that needs to be online ASAP so I can't afford to try and test new kernels right now.

Thanks in advance for your advice,

Roderick

Carlos García (carlos-gs12) wrote :

Rantsh,

if you need it working, use the fglrx workaround, which described in this post:
http://ubuntuforums.org/showthread.php?t=1916325

if you need any help making your system work, just tell us.

Bardok (bardok) wrote :

Hello,

no news since five days, no more kernel for test ?

Bardok.

Jesse Sung (wenchien) wrote :

Sorry for replying late.

Have a A4-3300M laptop around, so I do some test with it.

It seems that I can reproduce some kind of problem that silimar to what Bardok found, and still trying to figure out what goes wrong...

@Bardok, what's the CPU in your K73TA?

Also I try to boot this machine with precise alpha2 usb disk, which seems to work perfectly though.

Robert Roth (evfool) wrote :

@Jesse Sung: Precise alpha 2 still turns the screen off on AMD A6-3650 APU with Radeon(tm) HD Graphics.
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Bardok (bardok) wrote :

Jesse, the CPU is an A6-3400M.

Carlos García (carlos-gs12) wrote :

Jesse,
I have a A4-3310MX, so I don't know if there are any differences besides different clock speeds.

Precise Alpha 2 fix for the A4 is done on kernel 3.2.0-12-generic.
Fresh install will get screen detected and stuff, however, WiFi is now broken.

Did you get any issues with wireless cards on your A4 laptop?
Network Manager from the gnome-control-center specifies "device not managed"

Anthony Wong (anthonywong) wrote :

Carlos, could you file a new bug about your wireless issue so that we can look at it separately? Thanks.

Ara Pulido (ara) on 2012-02-10
tags: added: precise
Launchpad Janitor (janitor) wrote :
Download full text (14.0 KiB)

This bug was fixed in the package linux - 3.0.0-16.28

---------------
linux (3.0.0-16.28) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #922692

  [ Upstream Kernel Changes ]

  * Revert "drm/i915/dp: Fix the math in intel_dp_link_required"
    - LP: #919350

linux (3.0.0-16.27) oneiric-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #920735

  [ Paolo Pisati ]

  * Revert "SAUCE: omap3: beagle: if rev unknown, assume xM revision C"
    - LP: #912199
  * Revert "SAUCE: omap3: beagle: detect new xM revision C"
    - LP: #912199
  * Revert "SAUCE: omap3: beagle: detect new xM revision B"
    - LP: #912199
  * Revert "SAUCE: omap3: beaglexm: fix DVI initialization"
    - LP: #912199
  * [Config] DEFAULT_MMAP_MIN_ADDR=32k on arm
    - LP: #903346

  [ Upstream Kernel Changes ]

  * Revert "rtc: Disable the alarm in the hardware"
    - LP: #913373
  * Support for Terratec G1
    - LP: #821061
  * drm/radeon/kms: fix DP detect and EDID fetch for DP bridges
    - LP: #825777
  * drm/radeon/kms/DCE4.1: fix Select_CrtcSource EncodeMode setting for DP
    bridges (v2)
    - LP: #825777
  * drm/radeon/kms: cleanup atombios_adjust_pll()
    - LP: #825777
  * drm/radeon/kms/atom: rework encoder dpms
    - LP: #825777
  * drm/radeon/kms: check for DP MST mode in a few more places (v2)
    - LP: #825777
  * drm/radeon/kms: rework DP bridge checks
    - LP: #825777
  * drm/radeon/kms: fix DP setup on TRAVIS bridges
    - LP: #825777
  * ALSA: sis7019 - give slow codecs more time to reset
    - LP: #907778
  * ALSA: hda/realtek - Fix Oops in alc_mux_select()
    - LP: #907778
  * alarmtimers: Fix time comparison
    - LP: #907778
  * ARM: davinci: da850 evm: change audio edma event queue to EVENTQ_0
    - LP: #907778
  * arm: mx23: recognise stmp378x as mx23
    - LP: #907778
  * ARM: at91: fix clock conid for atmel_tcb.1 on 9260/9g20
    - LP: #907778
  * ARM: davinci: dm646x evm: wrong register used in
    setup_vpif_input_channel_mode
    - LP: #907778
  * ASoC: Provide a more complete DMA driver stub
    - LP: #907778
  * fs/proc/meminfo.c: fix compilation error
    - LP: #907778
  * thp: add compound tail page _mapcount when mapped
    - LP: #907778
  * thp: set compound tail page _count to zero
    - LP: #907778
  * ptp: Fix clock_getres() implementation
    - LP: #907778
  * mm: Ensure that pfn_valid() is called once per pageblock when reserving
    pageblocks
    - LP: #907778
  * mm: vmalloc: check for page allocation failure before vmlist insertion
    - LP: #907778
  * fix apparmor dereferencing potentially freed dentry, sanitize
    __d_path() API
    - LP: #907778
  * target: Handle 0 correctly in transport_get_sectors_6()
    - LP: #907778
  * intel-iommu: fix return value of iommu_unmap() API
    - LP: #907778
  * intel-iommu: set iommu_superpage on VM domains to lowest common
    denominator
    - LP: #907778
  * intel-iommu: fix superpage support in pfn_to_dma_pte()
    - LP: #907778
  * percpu: fix chunk range calculation
    - LP: #907778
  * iwlwifi: do not re-configure HT40 after associated
    - LP: #907778
  * mac80211: fix race condition caused by late addBA respon...

Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Released
Jesse Sung (wenchien) on 2012-02-13
Changed in linux (Ubuntu Oneiric):
status: Fix Released → In Progress
miguel cuesto (mokolon) wrote :

So hoy can I fsx the problem, as i can only boot in recovery mode??
I have an A6-3650 APU

miguel cuesto (mokolon) wrote :

How can i fix the problem, as i can only boot in recovery mode??
I have a A6-3650 APU

Bardok (bardok) wrote :

Hi Jesse,

great job, this one works.

Now i go to follow an another bug, which is "no wireless connection" like Carlos #91.

Thanks a lot.
Bardok.

Herton R. Krzesinski (herton) wrote :

Jesse, are you going to submit these two patches to the Ubuntu kernel-team mailing list?

miguel cuesto (mokolon) wrote :

Is the problem going to be solved in the next Precise Beta?

Jesse Sung (wenchien) wrote :

Herton,

Yes, already sent. :)

Tim Gardner (timg-tpi) on 2012-02-16
Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Committed
Carlos García (carlos-gs12) wrote :

For the ones having wifi issues, bug is posted here:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/929969

Changed in linux (Ubuntu Precise):
status: Triaged → In Progress
Anthony Wong (anthonywong) wrote :

@evfool, Jeff H, mokolon:

One of the patch was committed to Precise recently so it's not in Alpha2. Could you test daily build (http://cdimage.ubuntu.com/daily-live/current/) and let us know the results?

Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
A8-3800 (a8-3800) wrote :

I tested the daily build of Ubuntu 12.04 for AMD64 from 2012-02-21 and 2012-02-23 with an A8-3800 and an MSI-Mainboard. It doesn't work. When the Display is connected on the VGA-Port the display will not turn on. When die Display is connected to the HDMI-Port the display turn on. When both ports (VGA and HDMI) connected , the display on the VGA-Port will not turn on, the display on the HDMI-Port will turn on. The same effect like Ubuntu 11.10 or Kubuntu 11.10 with Kernel 3.0.0-16-generic #28.

A8-3800 (a8-3800) wrote :

Now, I tested the daily build of Ubuntu 12.04 for AMD64 from 2012-02-27 with an A8-3800-CPU and a MSI-Mainboard. The same resuIt like before. It doesn't work. When the Display is connected on the VGA-Port the display will not turn on. When die Display is connected to the HDMI-Port the display turn on. When both ports (VGA and HDMI) connected , the display on the VGA-Port will not turn on and the display on the HDMI-Port will turn on.

Anthony Wong (anthonywong) wrote :

Since this bug is about laptop, it will be easier for us to work in a separate bug. Could you file a new bug separately about the problem of your non-functional VGA port problem using the ubuntu-bug command? Thanks.

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Robert Roth (evfool) wrote :

Just filed a bug with a PC having a Llano APU with a display connected to the VGA port, which turns off when plymouth appears. See bug #943263.
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Jeff H (jahtech-android-apps) wrote :

@Anthony:

I tried today's daily build on my laptop, the display now properly comes on and stays on while booting. Thanks.

Launchpad Janitor (janitor) wrote :
Download full text (6.6 KiB)

This bug was fixed in the package linux - 3.0.0-17.30

---------------
linux (3.0.0-17.30) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #949882

  [ Andy Whitcroft ]

  * [Config] restore build-% shortcut

  [ Stefan Bader ]

  * (config) Fix virtual flavour inclusion of xen-kbdfront
    - LP: #944582

  [ Upstream Kernel Changes ]

  * readahead: fix pipeline break caused by block plug
    - LP: #931719
  * ALSA: HDA: Fix duplicated output to more than one codec
    - LP: #924320, #931719
  * ASoC: wm_hubs: Enable line out VMID buffer for single ended line
    outputs
    - LP: #931719
  * ASoC: wm_hubs: fix wrong bits for LINEOUT2 N/P mixer
    - LP: #931719
  * ARM: 7306/1: vfp: flush thread hwstate before restoring context from
    sigframe
    - LP: #931719
  * ARM: 7307/1: vfp: fix ptrace regset modification race
    - LP: #931719
  * ARM: 7308/1: vfp: flush thread hwstate before copying ptrace registers
    - LP: #931719
  * ARM: OMAP2+: GPMC: fix device size setup
    - LP: #931719
  * drivers/tty/vt/vt_ioctl.c: fix KDFONTOP 32bit compatibility layer
    - LP: #931719
  * proc: mem_release() should check mm != NULL
    - LP: #931719
  * proc: unify mem_read() and mem_write()
    - LP: #931719
  * proc: make sure mem_open() doesn't pin the target's memory
    - LP: #931719
  * firewire: ohci: add reset packet quirk for SB Audigy
    - LP: #931719
  * firewire: ohci: disable MSI on Ricoh controllers
    - LP: #931719
  * IB/mlx4: pass SMP vendor-specific attribute MADs to firmware
    - LP: #931719
  * kprobes: fix a memory leak in function pre_handler_kretprobe()
    - LP: #931719
  * at_hdmac: bugfix for enabling channel irq
    - LP: #931719
  * mm/filemap_xip.c: fix race condition in xip_file_fault()
    - LP: #931719
  * mm: compaction: check pfn_valid when entering a new MAX_ORDER_NR_PAGES
    block during isolation for migration
    - LP: #931719
  * drm/radeon: Set DESKTOP_HEIGHT register to the framebuffer (not mode)
    height.
    - LP: #931719
  * drm/nouveau/gem: fix fence_sync race / oops
    - LP: #931719
  * drm/radeon/kms: disable output polling when suspended
    - LP: #931719
  * sched/rt: Fix task stack corruption under
    __ARCH_WANT_INTERRUPTS_ON_CTXSW
    - LP: #931719
  * ASoC: Ensure we generate a driver name
    - LP: #931719
  * udf: Mark LVID buffer as uptodate before marking it dirty
    - LP: #931719
  * drm/i915: HDMI hot remove notification to audio driver
    - LP: #931719
  * drm/i915: DisplayPort hot remove notification to audio driver
    - LP: #931719
  * drm/i915: check ACTHD of all rings
    - LP: #931719
  * drm/i915: Fix TV Out refresh rate.
    - LP: #931719
  * drm/i915: handle 3rd pipe
    - LP: #931719
  * eCryptfs: Infinite loop due to overflow in ecryptfs_write()
    - LP: #931719
  * cifs: Fix oops in session setup code for null user mounts
    - LP: #931719
  * atmel_lcdfb: fix usage of CONTRAST_CTR in suspend/resume
    - LP: #931719
  * lockdep, bug: Exclude TAINT_FIRMWARE_WORKAROUND from disabling lockdep
    - LP: #931719
  * hwmon: (w83627ehf) Fix number of fans for NCT6776F
    - LP: #931719
  * ASoC: wm_hubs: Fix routing of input PGAs to li...

Read more...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Displaying first 40 and last 40 comments. View all 110 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.